Page MenuHomePhabricator

TTI: Use 0 for cost of fabs if free
ClosedPublic

Authored by arsenm on Dec 15 2015, 3:42 PM.

Details

Summary

Ideally this would also happen for fneg, but that
isn't a distinct operation in the IR.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 42929.Dec 15 2015, 3:42 PM
arsenm retitled this revision from to TTI: Use 0 for cost of fabs if free.
arsenm updated this object.
arsenm added a subscriber: llvm-commits.
hfinkel accepted this revision.Feb 2 2016, 5:30 PM
hfinkel added a reviewer: hfinkel.
hfinkel added a subscriber: hfinkel.

LGTM.

This revision is now accepted and ready to land.Feb 2 2016, 5:30 PM
arsenm closed this revision.Mar 24 2016, 5:32 PM

r264368